<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.181
Name: Bericht 1 Opvragen vaccinatiestatus (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000">
   <title>Bericht 1 Opvragen vaccinatiestatus (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]"
         id="tmp-r-1a04d19e-ae54-481e-bf37-f7d6e27a3ea4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:queryId)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:modifyCode)=0">(OpvragenVaccinatiestatus-payload): element hl7:modifyCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responseElementGroupId)=0">(OpvragenVaccinatiestatus-payload): element hl7:responseElementGroupId MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:initialQuantity)=0">(OpvragenVaccinatiestatus-payload): element hl7:initialQuantity MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:initialQuantityCode)=0">(OpvragenVaccinatiestatus-payload): element hl7:initialQuantityCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:sortControl)=0">(OpvragenVaccinatiestatus-payload): element hl7:sortControl MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:patientId)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.addr)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.administrativeGender)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.administrativeGender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.birthTime)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:person.name)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']"
         id="tmp-r-d66e3ffe-e617-42cb-a943-874e41eedca2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.181'">(OpvragenVaccinatiestatus-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.181' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryId"
         id="tmp-r-cea1e0de-bc58-402f-9685-39c19da510a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:statusCode[@code='executing']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:statusCode[@code='executing']"
         id="tmp-r-da94a940-3d8c-4660-b371-f257abaacbb0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or (@code='executing')">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn code 'executing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:modifyCode
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responseElementGroupId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responseModalityCode[@code='R']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responseModalityCode[@code='R']"
         id="tmp-r-8519e338-538b-4580-9878-52b0c183c34a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or (@code='R')">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn code 'R'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responsePriorityCode[@code='I']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-4e47d32b-a599-4dcd-bc80-6eafd6e344d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or (@code='I')">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn code 'I'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:initialQuantity
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:initialQuantityCode
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:executionAndDeliveryTime
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:executionAndDeliveryTime"
         id="tmp-r-0fcb3642-cbfd-40e5-b7bc-1cad1ec05642">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:sortControl
Item: (OpvragenVaccinatiestatus-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId"
         id="tmp-r-00e0732f-918c-41a9-b195-e98508324561">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-301fae53-8c09-4605-b7c7-dbe33188d72c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(OpvragenVaccinatiestatus-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr"
         id="tmp-r-204dab5a-ce31-4a95-838d-870355d09341">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value"
         id="tmp-r-4708834e-1c9b-4df3-8f6b-101bbcc3b389">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(OpvragenVaccinatiestatus-payload): de waarde van use MOET worden gekozen uit waardelijst 'W0003_HL7' W0003 Soort adres (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:postalCode)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:houseNumber
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:houseNumber"
         id="tmp-r-b5e309a9-02cd-4104-bf6f-f907b325e406">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:buildingNumberSuffix
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:buildingNumberSuffix"
         id="tmp-r-c8c31928-594e-4756-9f1b-31de827e4167">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:additionalLocator
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:additionalLocator"
         id="tmp-r-d1da2c43-e5dc-4a68-a66d-274ad23a0d00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="text()=('to','by')">(OpvragenVaccinatiestatus-payload): 
                                <name path=".."/>/<name/> MOET 'to' of 'by' zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:postalCode
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.addr/hl7:value/hl7:postalCode"
         id="tmp-r-4cc047e9-0784-4936-95e6-eb5c4f5db38f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender"
         id="tmp-r-76a41f44-43cc-4037-949e-5dafd7d4c86f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(OpvragenVaccinatiestatus-payload): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.administrativeGender/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-da9a97b7-da39-450d-a80f-2b6b2668abe1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(OpvragenVaccinatiestatus-payload): de elementwaarde MOET zijn W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(OpvragenVaccinatiestatus-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime"
         id="tmp-r-ece0365a-f401-4fa1-a150-c5c4d10edcd7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.birthTime/hl7:value"
         id="tmp-r-d75c3638-e8df-4fe2-87b8-2cfaba840efb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name"
         id="tmp-r-e952601f-0ec8-4e32-9cce-c391ce5810e1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value"
         id="tmp-r-6434f102-9d55-4acb-82e2-b478e7ab4c10">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:given)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="count(hl7:family)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:given
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:given"
         id="tmp-r-c94f88f0-8c70-4ede-af82-4338d6007c95">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@qualifier)='BR' or not(@qualifier)">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:prefix
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:prefix"
         id="tmp-r-c9bfeb05-3b0a-44c6-881a-cf353ef7c730">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(OpvragenVaccinatiestatus-payload): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('VV','BR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(OpvragenVaccinatiestatus-payload): de waarde van qualifier MOET 'code VV of code BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.181
Context: *[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:family
Item: (OpvragenVaccinatiestatus-payload)
-->

   <rule context="*[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.181']]/hl7:person.name/hl7:value/hl7:family"
         id="tmp-r-b3c42296-0505-4625-9a24-6c8a1e583f8b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.181-2012-09-01T000000.html"
              test="string(@qualifier)='BR'">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
</pattern>
